use `qc`;

ALTER TABLE `med_behospital_info` MODIFY COLUMN `doctor_id` varchar(16) DEFAULT NULL COMMENT '医生ID' AFTER `diagnose`;

ALTER TABLE `sys_menu` ADD  COLUMN `show_status` int(11) NOT NULL DEFAULT '0' COMMENT '是否在右侧菜单显示(0:不显示，1：显示)' AFTER `code`;
ALTER TABLE `sys_menu` ADD  COLUMN `maintain_status` int(11) NOT NULL DEFAULT '0' COMMENT '是否可以维护(0:不可维护，1：可以维护)' AFTER `show_status`;

ALTER TABLE `sys_permission` ADD  COLUMN `code` varchar(10) NOT NULL DEFAULT '' COMMENT '资源编码' AFTER `name`;

ALTER TABLE `sys_user` ADD  COLUMN `status` int(11) NOT NULL DEFAULT '1' COMMENT '是否启用(0:停用，1：启用)' AFTER `linkman`;

DROP TABLE IF EXISTS `sys_user_dept`;
CREATE TABLE `sys_user_dept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `user_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '用户主键',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `dept_id` varchar(20) NOT NULL DEFAULT '' COMMENT '科室编码（HIS导入）',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户-医院科室映射表';

alter table `med_qcresult_detail` add  column `info` varchar(500) DEFAULT '' COMMENT '质控返回提示信息' AFTER `msg`;
ALTER TABLE `med_behospital_info` MODIFY COLUMN `doctor_id` varchar(16) DEFAULT '' COMMENT '主治医生ID';
ALTER TABLE `med_behospital_info` MODIFY COLUMN `doctor_name` varchar(50) DEFAULT '' COMMENT '主治医生姓名';
alter table `med_behospital_info` add  column  `beh_doctor_id` varchar(16) DEFAULT '' COMMENT '住院医生ID' AFTER `doctor_name`;
alter table `med_behospital_info` add  column `beh_doctor_name` varchar(50) DEFAULT '' COMMENT '住院医生姓名' AFTER `beh_doctor_id`;
alter table `med_behospital_info` add  column `director_doctor_id` varchar(16) DEFAULT '' COMMENT '主任医生ID' AFTER `beh_doctor_name`;
alter table `med_behospital_info` add  column `director_doctor_name` varchar(50) DEFAULT '' COMMENT '主任医生姓名' AFTER `director_doctor_id`;

-- ----------------------------
-- Table structure for qc_question_info
-- ----------------------------
DROP TABLE IF EXISTS `qc_question_info`;
CREATE TABLE `qc_question_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `mode_id` bigint(20) DEFAULT NULL COMMENT '数据模块ID',
  `tag_name` varchar(100) NOT NULL DEFAULT '' COMMENT '标签名',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT 'key',
  `val` varchar(100) NOT NULL DEFAULT '' COMMENT 'value',
  `tag_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '标签标识(1：单标签 4：组合标签)',
  `control_type` tinyint(4) DEFAULT '0' COMMENT '控件类型(0：无类型)',
  `retract` tinyint(4) DEFAULT '0' COMMENT '缩进(0：不缩进 1：缩进)',
  `add_line` tinyint(4) DEFAULT '0' COMMENT '换行(0：不换行，1：换行)',
  `bold` tinyint(4) DEFAULT '0' COMMENT '换行(0：不换行，1：加粗)',
  `position` tinyint(4) DEFAULT '0' COMMENT '显示位置(1：靠右显示)',
  `cases_entry_ids` varchar(1000) NOT NULL DEFAULT '' COMMENT '质控条目id列表',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='标签基础表';

-- ----------------------------
-- Table structure for qc_question_mapping
-- ----------------------------
DROP TABLE IF EXISTS `qc_question_mapping`;
CREATE TABLE `qc_question_mapping` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `parent_question` bigint(20) DEFAULT NULL COMMENT '上级question',
  `son_question` bigint(20) DEFAULT NULL COMMENT '下级question',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `parent_question` (`parent_question`),
  KEY `son_question` (`son_question`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='标签映射表';

-- ----------------------------
-- Table structure for qc_module_info
-- ----------------------------
DROP TABLE IF EXISTS `qc_module_info`;
CREATE TABLE `qc_module_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '模板名称',
  `hospital_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '医院ID',
  `mode_id` bigint(20) DEFAULT NULL COMMENT '数据模块ID',
  `record_module_id` bigint(20) DEFAULT NULL COMMENT 'med_record_module的id',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='模型表';

-- ----------------------------
-- Table structure for qc_module_detail
-- ----------------------------
DROP TABLE IF EXISTS `qc_module_detail`;
CREATE TABLE `qc_module_detail` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `module_id` bigint(20) NOT NULL DEFAULT '0' COMMENT 'module_id',
  `group_id` int(11) NOT NULL DEFAULT '0' COMMENT '分组id',
  `question_id` bigint(20) DEFAULT NULL COMMENT 'questionId',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`),
  KEY `module_id` (`module_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='模型明细表';



