package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.BehospitalInfoDTO;
import com.diagbot.dto.MsgDTO;
import com.diagbot.dto.ResultDetailDTO;
import com.diagbot.entity.BehospitalInfo;
import com.diagbot.vo.AnalyzeVO;
import com.diagbot.vo.BehospitalPageVO;
import com.diagbot.vo.FilterVO;

import java.util.List;

/**
 * <p>
 * 住院病历信息 Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface BehospitalInfoMapper extends BaseMapper<BehospitalInfo> {

    public IPage<BehospitalInfoDTO> getPage(BehospitalPageVO behospitalPageVO);

    public List<MsgDTO> getMsg(AnalyzeVO analyzeVO);

    /**
     * 缺陷排行列表统计
     *
     * @param filterVO
     * @return
     */
    public List<ResultDetailDTO> resultStatistics(FilterVO filterVO);

    /**
     * 各科室缺陷占比
     *
     * @param filterVO
     * @return
     */
    public List<ResultDetailDTO> resultStatisticsByDept(FilterVO filterVO);

    /**
     * 缺陷排行列表统计-百分比未计算
     *
     * @param filterVO
     * @return
     */
    public List<ResultDetailDTO> resultStatistics2(FilterVO filterVO);

    /**
     * 各科室缺陷占比-百分比未计算
     *
     * @param filterVO
     * @return
     */
    public List<ResultDetailDTO> resultStatisticsByDept2(FilterVO filterVO);

    /**
     * 缺陷总数
     *
     * @param filterVO
     * @return
     */
    public int getTotleResultNum(FilterVO filterVO);


    public List<BehospitalInfo> getNoGrade();
}